Bug 256956 - sysutils/pefs-kmod: Take maintainership, fix build on FreeBSD 13 & -current
Summary: sysutils/pefs-kmod: Take maintainership, fix build on FreeBSD 13 & -current
Status: In Progress
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Li-Wen Hsu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-07-03 12:39 UTC by Daniel O'Connor
Modified: 2021-07-19 14:57 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (gleb)
gleb: maintainer-feedback+


Attachments
Update port (2.32 KB, patch)
2021-07-03 12:39 UTC, Daniel O'Connor
no flags Details | Diff
Updated port after port guru feedback (4.92 KB, patch)
2021-07-13 08:47 UTC, Daniel O'Connor
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel O'Connor 2021-07-03 12:39:12 UTC
Created attachment 226192 [details]
Update port

Take maintainership (with permission from Gleb) and fix port for FreeBSD 13.

Remove BROKEN for arm as I tested it without issue. Also remove it for DFly but I have not tested it, however if someone wants to work with me on that I am sure I could make it work..

Note that it is still broken under -current because out of tree modules are not built with INVARIANTS but -current has it on - this can be worked around with a manual build but I don't know how to do it with a port. If anyone has a better solution please let me know.

The port patches should be deleted as I merged them into upstream.
Comment 1 Gleb Kurtsou freebsd_committer 2021-07-06 20:25:02 UTC
Thank you for picking up the port!
Comment 2 Daniel O'Connor 2021-07-13 08:47:55 UTC
Created attachment 226418 [details]
Updated port after port guru feedback
Comment 3 Gleb Kurtsou freebsd_committer 2021-07-13 19:28:19 UTC
I gleb@freebsd.org approve change of pefs-kmod port maintainership to darius@dons.net.au
Comment 4 Li-Wen Hsu freebsd_committer 2021-07-14 14:38:20 UTC
(In reply to darius from comment #2)
One last thing before commit, can you set your name at https://bugs.freebsd.org/bugzilla/userprefs.cgi?tab=account so we can use it in `git commit --author`? Thanks!
Comment 5 Daniel O'Connor 2021-07-14 22:47:05 UTC
(In reply to Li-Wen Hsu from comment #4)
Done!
Comment 6 commit-hook freebsd_committer 2021-07-19 14:56:30 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=6274872969d612ea579e578b9074b12f9d3bfd95

commit 6274872969d612ea579e578b9074b12f9d3bfd95
Author:     Daniel O'Connor <darius@dons.net.au>
AuthorDate: 2021-07-19 14:46:25 +0000
Commit:     Li-Wen Hsu <lwhsu@FreeBSD.org>
CommitDate: 2021-07-19 14:55:18 +0000

    sysutils/pefs-kmod: Fix build for 13+ and take maintainership

    PR:             256956
    Approved by:    gleb (original maintainer)

 sysutils/pefs-kmod/Makefile                        | 32 +++++++---------------
 sysutils/pefs-kmod/distinfo                        |  6 ++--
 .../pefs-kmod/files/patch-libpam-Makefile (gone)   | 10 -------
 .../pefs-kmod/files/patch-module-Makefile (gone)   | 11 --------
 .../pefs-kmod/files/patch-pam_pefs-Makefile (gone) |  9 ------
 sysutils/pefs-kmod/files/patch-pefs_aesni.h (gone) | 17 ------------
 sysutils/pefs-kmod/pkg-descr                       |  2 +-
 7 files changed, 14 insertions(+), 73 deletions(-)
Comment 7 commit-hook freebsd_committer 2021-07-19 14:57:32 UTC
A commit in branch 2021Q3 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=8fce920a0e2965e363cb978fa6ba627572d69fcc

commit 8fce920a0e2965e363cb978fa6ba627572d69fcc
Author:     Daniel O'Connor <darius@dons.net.au>
AuthorDate: 2021-07-19 14:46:25 +0000
Commit:     Li-Wen Hsu <lwhsu@FreeBSD.org>
CommitDate: 2021-07-19 14:57:02 +0000

    sysutils/pefs-kmod: Fix build for 13+ and take maintainership

    PR:             256956
    Approved by:    gleb (original maintainer)

    (cherry picked from commit 6274872969d612ea579e578b9074b12f9d3bfd95)

 sysutils/pefs-kmod/Makefile                        | 32 +++++++---------------
 sysutils/pefs-kmod/distinfo                        |  6 ++--
 .../pefs-kmod/files/patch-libpam-Makefile (gone)   | 10 -------
 .../pefs-kmod/files/patch-module-Makefile (gone)   | 11 --------
 .../pefs-kmod/files/patch-pam_pefs-Makefile (gone) |  9 ------
 sysutils/pefs-kmod/files/patch-pefs_aesni.h (gone) | 17 ------------
 sysutils/pefs-kmod/pkg-descr                       |  2 +-
 7 files changed, 14 insertions(+), 73 deletions(-)